Bug 528209 - ipa-server-install hanging in Applying LDAP updates
Summary: ipa-server-install hanging in Applying LDAP updates
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 2.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-09 18:34 UTC by Rob Crittenden
Modified: 2015-01-04 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 09:30:55 UTC


Attachments (Terms of Use)

Description Rob Crittenden 2009-10-09 18:34:55 UTC
Description of problem:

One of the last steps of an IPA installation is we apply a bunch of small updates that turn on options, add values, etc.

DS is deadlocking during this step.

Version-Release number of selected component (if applicable):
ipa-server-2.0-5.20091009.el5ipa
redhat-ds-base-8.1.0-0.14.el5dsrv

This is on RHEL 5.2 x86_64

How reproducible:

Every time. If I disable adding indexes during the update step then the installation succeeds.

The attached stack trace is a bit different from a standard IPA install in that it uses the DS memberof plugin instead of the old IPA memberof plugin.

Comment 1 Rob Crittenden 2010-09-21 17:51:31 UTC
This was a race condition in 389-ds tasks. We added a sleep() in ipa-ldap-updater to pause the update and that fixed it.


Note You need to log in before you can comment on or make changes to this bug.